<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
        integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u"
        crossorigin="anonymous">
</head>
<body>
<!-- Navigation bar (header) -->
<nav class="navbar navbar-inverse navbar-fixed-top">
  <div class="container-fluid">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"
              data-target="#navbar" aria-expanded="false" aria-controls="navbar">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <a class="navbar-brand" href="#" th:href="@{/users}">Admin Page</a>
    </div>
    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav navbar-right">
        <li><a th:href="@{/logout}">Logout</a></li>
      </ul>
    </div>
  </div>
</nav>

<br>
<br>
<br>
<div class = "container">
  <div class = "row">
    <div class ="col-lg-6 col-md-6 col-sm-6 container justify-content-center card">
      <h1 class = "text-center"> Create New User </h1>
      <div class = "card-body">
        <form th:action="@{/users}" th:object = "${user}" method="POST">
          <div class ="form-group">
            <label> User FullName </label>
            <input
                    type = "text"
                    name = "fullname"
                    th:field = "*{fullname}"
                    class = "form-control"
                    placeholder="Enter user FullName"
            />
          </div>

          <div class ="form-group">
            <label> User Email </label>
            <input
                    type = "text"
                    name = "email"
                    th:field = "*{email}"
                    class = "form-control"
                    placeholder="Enter User Email"
            />
          </div>

          <div class ="form-group">
            <label> Use Role </label>
            <input
                    type = "text"
                    name = "role"
                    th:field = "*{role}"
                    class = "form-control"
                    placeholder="Enter User Role"
            />
          </div>

          <div class ="form-group">
            <label> Use Password </label>
            <input
                    type = "password"
                    name = "password"
                    th:field = "*{password}"
                    class = "form-control"
                    placeholder="Enter User Password"
            />
          </div>

          <div class = "box-footer">
            <button type="submit" class = "btn btn-primary">
              Submit
            </button>
          </div>
        </form>

      </div>
    </div>
  </div>
</div>


<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"
        integrity="sha384-KyZXEAg3QhqLMpG8r+Knujsl5/CGAGGp4it+VoX+O4taDHM8cRtXx4yJ8Ck6BvoB"
        crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
        integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
        crossorigin="anonymous"></script>

</body>
</html>